%global dist_version 0.2.1

%global provider github
%global provider_tld com
%global project docker
%global repo containerd
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

#debuginfo not supported with Go
%global gopath  %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

%global commit      ca47f7e76a93e9b3768ed084d62318e85bd9f4b2
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{project}-%{repo}
Version:        %{dist_version}
Release:        1
Summary:        A daemon to control runC
License:        ASL 2.0
Group:		System/Kernel and hardware

URL:            http://www.docker.com
Source0:        https://%{import_path}/archive/v%{dist_version}.tar.gz
#Source0:        https://%{import_path}/archive/%{commit}.tar.gzS

BuildRequires:  gcc
BuildRequires:  glibc-static-devel

# ensure build uses golang 1.4 or above
BuildRequires:  golang >= 1.4

Requires:		opencontainers-runc

%description
containerd is a daemon to control runC, built for performance and density. 

containerd leverages runC's advanced features such as seccomp and user 
namespace support as well as checkpoint and restore for cloning and 
live migration of containers.

%prep
#%setup -q -n docker-%{commit}
%setup -q -n %{repo}-%{dist_version}

%build
#export DOCKER_GITCOMMIT="%{shortcommit}"
#export DOCKER_GITCOMMIT="%{shortcommit}/%{version}"

ln -sf $(pwd) vendor/src/%{import_path}

export GOPATH=$(pwd)/vendor:%{gopath}
make

%install
# install binary
install -d %{buildroot}%{_bindir}
install -p -m 755 bin/* %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
for i in *; do
	ln -sf $i docker-$i
done

%files
%doc LICENSE.* MAINTAINERS NOTICE README.md 
%{_bindir}/*

%changelog

* Fri Jun 17 2016 Denis Silakov <dsilakov@gmail.com> 0.2.1-1
- (8f5fae0) Imported from SRPM


